curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/people/fields/{code}/podcasts?limit=25&min_guests=1"{
"data": [
{
"appearances": 123,
"guests": 123,
"last_appeared_at": "2023-11-07T05:31:56Z",
"podcast": {
"id": "<string>",
"title": "<string>",
"best_rank": {
"captured_at": "2023-11-07T05:31:56Z",
"chart_type": "top_podcasts",
"rank": 123,
"source": "apple",
"category_slug": "<string>",
"country": "<string>"
},
"image_url": "<string>",
"popularity": 123,
"publisher": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"slug": "<string>"
},
"rank": 123
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Rank the podcasts that book a field of research
Ranks the shows by their guest and panelist appearances of people listed under an ANZSRC 2020 field of research in a window of publication dates (the last 30 days by default), then by how many distinct such people they booked. The parameter accepts the code, slug, or title.
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/people/fields/{code}/podcasts?limit=25&min_guests=1"{
"data": [
{
"appearances": 123,
"guests": 123,
"last_appeared_at": "2023-11-07T05:31:56Z",
"podcast": {
"id": "<string>",
"title": "<string>",
"best_rank": {
"captured_at": "2023-11-07T05:31:56Z",
"chart_type": "top_podcasts",
"rank": 123,
"source": "apple",
"category_slug": "<string>",
"country": "<string>"
},
"image_url": "<string>",
"popularity": 123,
"publisher": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"slug": "<string>"
},
"rank": 123
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
Pass your API key in the X-API-Key header (recommended).
Path Parameters
The occupation's or field's code, slug, or title, as GET /v1/people/occupations and GET /v1/people/fields list them.
200Query Parameters
Results per page
1 <= x <= 100Opaque pagination cursor from previous response
Only appearances on episodes published on or after this date. Defaults to 30 days ago; the window may span at most 90 days.
"2026-09-01"
Only appearances on episodes published on or before this date; a bare date includes that whole day. Defaults to now.
"2026-09-30"
Only count guests whose standing in their expertise is recognized this way: established (credentialed or widely recognized), self_described, or unverified.
established, self_described, unverified Only shows that booked at least this many distinct people in the occupation or field in the window.
x >= 1Was this page helpful?